# Update feature

Update an existing feature's name, key, description, associated permissions, or custom metadata.

Endpoint: PATCH /resources/features/v2/{featureId}
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Path parameters:

  - `featureId` (string, required)

## Request fields (application/json):

  - `name` (string)
    String representing the feature name
    Example: Test Feature

  - `key` (string)
    String representing the feature key
    Example: test-feature

  - `description` (string)
    Feature description
    Example: This is a test feature

  - `permissions` (array)
    Array of permissions linked to a feature

  - `permissions.permissionKey` (string)
    Permission key
    Example: user.read

  - `permissions.permissionId` (string)
    Permission identifier
    Example: e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3

  - `metadata` (string)
    JSON String
    Example: { "some-key": "some-value" }

